<?php
defined ('JPATH_BASE') or die();

class JElementGetCashbillInfo extends JElement {

	var $_name = 'getCashbillInfo';

	function fetchElement ($name, $value, &$node, $control_name) {


		$url = "http://cashbill.pl/";
		$logo = '<img src="https://img.cashbill.pl/cb/logo/00-logotypy/c-cashbill_150x58_b.png" />';
		$instruction = "../plugins/vmpayment/cashbill/cashbill/self/Instrukcja Instalacji.pdf";
		$html = '<div style=""><p><a target="_blank" href="' . $url . '"  >' . $logo . '</a></p>';
		$html .= '<p><a  target="_blank" href="'.$instruction.'" ><img src="../plugins/vmpayment/cashbill/cashbill/self/pdf-icon.png" /> Instrukcja Instalacji</a></p></div>';
		$html .= $this->checkVersion('1.0.0');
		return $html;
		}
		
		public function checkVersion($version)
		{
		    $ch = curl_init();
		    curl_setopt($ch, CURLOPT_URL, "http://www.cashbill.pl/ajax/module-version-checker.php?cmd=info&module=VirtueMart2");
		    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		    $response = curl_exec($ch);
		    curl_close($ch);
		
		    $response = json_decode($response);
		
		    if(empty($response))
		    {
		
		        return '';
		
		    }
		
		    if ($response->version == $version)
		    {
		        return '<p style="text-align: center;">Posiadasz najnowszą wersję modułu płatności CashBill dla '.$response->name.'</p>';
		    }
		
		    return '<p style="text-align: center;">Aktualnie posiadasz wersję ' . $version . ' jednak jest już dostępna nowsza wersja ' . $response->version . '. <br />Możesz ją pobrać korzystając z tego linku <a href="http://www.cashbill.pl/' . $response->link . '">moduł dla ' . $response->name . ' w wersji ' . $response->version . '</a><p>';
		}

}
